# Téléinfo Linky avec un Raspberry Pi
Surveiller sa consommation électrique en temps réel avec un compteur Linky et un Raspberry 

Forké de https://github.com/SebastienReuiller/teleinfo-linky-with-raspberry  
* Traitement binaire du flux de données inspiré de https://github.com/babs/teleinfo2influx
* Ajout d'un fichier de configuration externe
* Ajout d'un délai optionnel entre la transmission de deux trames

## Installation
```
cd /opt 
git clone https://git.garbaye.fr/gitouche/teleinfo-linky-with-raspberry.git
```
## Configuration 
Créer et modifier le fichier de configuration :
```
cp settings-example.py settings.py
vi settings.py
```
Ajuster et installer l'unit systemd si besoin :
```
vi teleinfo.service
cp teleinfo.service /usr/lib/systemd/system/teleinfo.service
systemctl start teleinfo.service
```
Perréniser :
```
systemctl enable teleinfo.service
```